//获取本地用户信息
var parseUserObj = JSON.parse(localStorage.getItem('userObj'));

/* @全局名称 地址
 * 1、易建  123.103.7.16:8082;
 * 2、国驿  cos.doltor.com;
 * 3、华夏九州  cos.3swest.com;
*/
var appConfig = {};
function getId(id){
	return document.getElementById(id);
}
var companyNameFlag = 1;  
var companyName = '';
switch(companyNameFlag){
	case 1 :
		appConfig.SERVICE_URL = 'http://123.103.7.16:8082/';
		appConfig.SERVICE_URL_ws = 'ws://123.103.7.16:8081/echo';

		companyName = {
			name : '易建收费',
			call : '<a href="javascript:void(0) " onclick="javascript:main.call();">忘记密码？请联系易建科技</a>',
			fullName : '海南易建科技股份有限公司@2013-2018',
			src : 'static/image/login-logo1.png',
			cName : '海南易建科技股份有限公司'
		}
		//首页显示技术总负责
		/*if(getId('projectManagerCard')){
			getId('projectManagerCard').style.display = 'block'
		}*/
	break;
	case 2 :
		appConfig.SERVICE_URL = 'http://cos.3swest.com/';
		appConfig.SERVICE_URL_ws = 'ws://123.103.7.16:8081/echo';
		companyName = {
			name : '国驿收费',
			call : '<a href="javascript:void(0) " onclick="javascript:main.call();">忘记密码？请联系陕西国驿</a>',
			fullName : '陕西国驿软件科技有限公司@2014-2018',
			src : 'static/image/login-logo2.png',
			cName : '陕西国驿软件科技有限公司'
		}
		//首页显示技术总负责
		/*if(getId('projectManagerCard')){
			getId('projectManagerCard').style.display = 'block'
		}*/
	break;
	case 3 :
		appConfig.SERVICE_URL = 'http://cos.3swest.com/';
		appConfig.SERVICE_URL_ws = 'ws://cos.3swest.com:9999/echo';
		companyName = {
			name : '华夏九州收费',
			call : '<a href="javascript:void(0) " onclick="javascript:main.call(02981125986);">忘记密码？请联系华夏九州</a>',
			fullName : '华夏九州物联网科技有限公司@2017-2018',
			src : 'static/image/login-logo3.png',
			cName : '华夏九州物联网科技有限公司'
		}
	break;
}
if(getId('companyName')){
	getId('companyName').innerHTML = companyName.name;
}
if(getId('companyCall')){
	getId('companyCall').innerHTML = companyName.call;
}
if(getId('companyFullName')){
	getId('companyFullName').innerHTML = companyName.fullName;
}
if(getId('logoSrc')){
	getId('logoSrc').setAttribute('src', companyName.src);
}	
if(getId('compName')){
	getId('compName').innerHTML = companyName.cName;
}

//封装ajax
function jsonAjax(url,param){
	var v='';
	mui.ajax(url,{
		data:param,
		dataType:'json', 
		type:'post', 
		timeout:10000, 
		success:function(data){
			var res=eval(data.resultcode);
	 		 if(res=="1"){
	 			v=eval(data.data);
	 		 }
		},
		error:function(xhr,type,errorThrown){}
	});
	return v;
}

//获取地址参数
function getUrlKeyValue(key){
	var url = window.location.href;
	url = unescape(url);
	var param = url.substr(url.indexOf("?")+1,url.length);

	var paramArray = param.toString().split("&");
	for(var i=0; i<paramArray.length; i++){
		var item = paramArray[i];
		var itemArray = item.split("=");
		if(itemArray[0] == key){
			return itemArray[1];
		}
	}
	return "";
}

	/*
    *  作者：jx
    *  时间：2018-02-27
    *  描述：输入车牌号码 ，可切换普通车牌、新能源车牌。
    **/
   var winKeyBoard = null;
   (function(){
		var keyBoardflag = true;
		function plateNumber (plateNumber, flag){
			var self = this;
			//车牌号码input
			self.pNum = plateNumber;
			//选中车牌号码存入数组
			self.plateNumberObj = [];
			
			//当前选中的车牌号下标
			self.index = 0;
		    
		    //如果 flag=energy，新能源车牌
		    if(flag == "energy"){
		    	//新能源车牌
				this.plateNumberList = [];
				this.plateNumberList[0] = [['粤', '京', '津', '晋', '冀', '蒙', '辽', '吉', '黑'], ['沪', '苏', '浙', '皖', '闵', '赣', '鲁', '鄂', '湘'], ['桂', '琼', '川', '贵', '云', '藏', '陕', '甘', '青'], ['宁', '新', '渝', '豫', 'V', 'Z', 'E', 'K', 'H'], ['B', 'S', 'L', 'J', 'N', 'G', 'C', '武', '']];
			    this.plateNumberList[1] = [['1', '2', '3', '4', '5', '6', '7', '8', '9','0'], ['Q', 'W', 'E', 'R', 'T', 'Y', 'U', 'O', 'P'], ['A', 'S', 'D', 'F', 'G', 'H', 'J', 'K', 'L'], ['Z', 'X', 'C', 'V', 'B', 'N', 'M', '', ''], [ '', '', '', '', '', '', '', '', '']];
			    this.plateNumberList[2] = [['1', '2', '3', '4', '5', '6', '7', '8', '9','0'], ['Q', 'W', 'E', 'R', 'T', 'Y', 'U', 'O', 'P'], ['A', 'S', 'D', 'F', 'G', 'H', 'J', 'K', 'L'], ['Z', 'X', 'C', 'V', 'B', 'N', 'M', '', ''], [ '', '', '', '', '', '', '', '', '']];
			    this.plateNumberList[3] = [['1', '2', '3', '4', '5', '6', '7', '8', '9','0'], ['Q', 'W', 'E', 'R', 'T', 'Y', 'U', 'O', 'P'], ['A', 'S', 'D', 'F', 'G', 'H', 'J', 'K', 'L'], ['Z', 'X', 'C', 'V', 'B', 'N', 'M', '', ''], [ '', '', '', '', '', '', '', '', '']];
			    this.plateNumberList[4] = [['1', '2', '3', '4', '5', '6', '7', '8', '9','0'], ['Q', 'W', 'E', 'R', 'T', 'Y', 'U', 'O', 'P'], ['A', 'S', 'D', 'F', 'G', 'H', 'J', 'K', 'L'], ['Z', 'X', 'C', 'V', 'B', 'N', 'M', '', ''], [ '', '', '', '', '', '', '', '', '']];
			    this.plateNumberList[5] = [['1', '2', '3', '4', '5', '6', '7', '8', '9','0'], ['Q', 'W', 'E', 'R', 'T', 'Y', 'U', 'O', 'P'], ['A', 'S', 'D', 'F', 'G', 'H', 'J', 'K', 'L'], ['Z', 'X', 'C', 'V', 'B', 'N', 'M', '', ''], [ '', '', '', '', '', '', '', '', '']];
			    this.plateNumberList[6] = [['1', '2', '3', '4', '5', '6', '7', '8', '9','0'], ['Q', 'W', 'E', 'R', 'T', 'Y', 'U', 'O', 'P'], ['A', 'S', 'D', 'F', 'G', 'H', 'J', 'K', 'L'], ['Z', 'X', 'C', 'V', 'B', 'N', 'M', '', ''], [ '', '', '', '', '', '', '', '', '']];
			    this.plateNumberList[7] = [['1', '2', '3', '4', '5', '6', '7', '8', '9','0'], ['Q', 'W', 'E', 'R', 'T', 'Y', 'U', 'O', 'P'], ['A', 'S', 'D', 'F', 'G', 'H', 'J', 'K', 'L'], ['Z', 'X', 'C', 'V', 'B', 'N', 'M', '警', '学'], [ '港', '澳','挂', '', '', '', '', '', '']];
			}else{
				//普通车牌
				this.plateNumberList = [];
				this.plateNumberList[0] = [['粤', '京', '津', '晋', '冀', '蒙', '辽', '吉', '黑'], ['沪', '苏', '浙', '皖', '闵', '赣', '鲁', '鄂', '湘'], ['桂', '琼', '川', '贵', '云', '藏', '陕', '甘', '青'], ['宁', '新', '渝', '豫', 'V', 'Z', 'E', 'K', 'H'], ['B', 'S', 'L', 'J', 'N', 'G', 'C', '武', '']];
			    this.plateNumberList[1] = [['1', '2', '3', '4', '5', '6', '7', '8', '9','0'], ['Q', 'W', 'E', 'R', 'T', 'Y', 'U', 'O', 'P'], ['A', 'S', 'D', 'F', 'G', 'H', 'J', 'K', 'L'], ['Z', 'X', 'C', 'V', 'B', 'N', 'M', '', ''], [ '', '', '', '', '', '', '', '', '']];
			    this.plateNumberList[2] = [['1', '2', '3', '4', '5', '6', '7', '8', '9','0'], ['Q', 'W', 'E', 'R', 'T', 'Y', 'U', 'O', 'P'], ['A', 'S', 'D', 'F', 'G', 'H', 'J', 'K', 'L'], ['Z', 'X', 'C', 'V', 'B', 'N', 'M', '', ''], [ '', '', '', '', '', '', '', '', '']];
			    this.plateNumberList[3] = [['1', '2', '3', '4', '5', '6', '7', '8', '9','0'], ['Q', 'W', 'E', 'R', 'T', 'Y', 'U', 'O', 'P'], ['A', 'S', 'D', 'F', 'G', 'H', 'J', 'K', 'L'], ['Z', 'X', 'C', 'V', 'B', 'N', 'M', '', ''], [ '', '', '', '', '', '', '', '', '']];
			    this.plateNumberList[4] = [['1', '2', '3', '4', '5', '6', '7', '8', '9','0'], ['Q', 'W', 'E', 'R', 'T', 'Y', 'U', 'O', 'P'], ['A', 'S', 'D', 'F', 'G', 'H', 'J', 'K', 'L'], ['Z', 'X', 'C', 'V', 'B', 'N', 'M', '', ''], [ '', '', '', '', '', '', '', '', '']];
			    this.plateNumberList[5] = [['1', '2', '3', '4', '5', '6', '7', '8', '9','0'], ['Q', 'W', 'E', 'R', 'T', 'Y', 'U', 'O', 'P'], ['A', 'S', 'D', 'F', 'G', 'H', 'J', 'K', 'L'], ['Z', 'X', 'C', 'V', 'B', 'N', 'M', '', ''], [ '', '', '', '', '', '', '', '', '']];
			    this.plateNumberList[6] = [['1', '2', '3', '4', '5', '6', '7', '8', '9','0'], ['Q', 'W', 'E', 'R', 'T', 'Y', 'U', 'O', 'P'], ['A', 'S', 'D', 'F', 'G', 'H', 'J', 'K', 'L'], ['Z', 'X', 'C', 'V', 'B', 'N', 'M', '警', '学'], [ '港', '澳','挂', '', '', '', '', '', '']];
				
			}
			self.PLATE_NUMBER_LIST_LENGTH = self.plateNumberList.length;
			self.onReady();
		}
		
		plateNumber.prototype = {
			//初始化
			onReady : function () {
				var self = this;
				//车牌号码input
			    self.PLATE_NUMBER_INPUT = document.getElementById(self.pNum);
			    
			    //创建弹出层
			    self.POPUP_KEY_BOARD_WRAP = document.createElement("div");
			   	self.POPUP_KEY_BOARD_WRAP.className = "popup-keyboard-wrap";
			   	
			   	//创建键盘层
			    self.CONTENT_WRAP = document.createElement("div");
			   	self.CONTENT_WRAP.className = "content-wrap";
			   	var contentWrap = "";
			    for(var i = 0; i < self.plateNumberList.length; i++){
			    	//默认显示第一个
			    	contentWrap += "<div class='content-item "+ (i == 0 ? 'active' : '') +"' data-index="+ i +">";
			        for(var j = 0; j < self.plateNumberList[i].length; j++){
			            contentWrap += "<div class='row'>";
			            for(var m = 0; m < self.plateNumberList[i][j].length; m++){
			                contentWrap += "<div class='col' onclick=addKeyboard('"+ self.plateNumberList[i][j][m] +"')>"+ self.plateNumberList[i][j][m] +"</div>";
			            }
			            contentWrap += "</div>";
			        }
			        contentWrap += "</div>";
			    }
			    self.CONTENT_WRAP.innerHTML = contentWrap;
			    
			    //创建遮罩层
			    self.POPOU_OVERLAY = document.createElement("div");
			    self.POPOU_OVERLAY.className = "popup-overlay";
			    
			    //点击遮罩删除所有层
			    self.POPOU_OVERLAY.onclick = function(){
			    	self.removePop();
			    };
			    
			    //创建显示车牌号码
			    self.PLATE_NUMBER_ITEM = document.createElement("div");
			    self.PLATE_NUMBER_ITEM.className = "plate-number-item";
			    self.PLATE_NUMBER_ITEM.id = "plateNumberItem";
			    
			    var plateNumberItem = "<div class='row'>";
			    for (var i = 0; i < self.plateNumberList.length; i++) {
			    	plateNumberItem += "<div class='col' onclick=editCarNum("+ i +")></div>"
			    	if(i === (self.PLATE_NUMBER_LIST_LENGTH - 1)){
			            plateNumberItem += "<div class='col' onclick='delCarNum()'><i class='iconfont icon-tuihui'></i></div>";
			        }
			    }
			    plateNumberItem += "</div>";
			    
			    self.PLATE_NUMBER_ITEM.innerHTML = plateNumberItem;
			    //创建切换按钮
			    self.BTN_SWITCH = document.createElement("div");
			    self.BTN_SWITCH.className = "btn-swtich";
			    self.BTN_SWITCH.innerHTML = "<div class='row'><div class='col'><span id='btnSwtich'>" + (keyBoardflag ? "普通车牌" : "新能源车牌") + "</span></div></div>";
			    
			    //添加到键盘区
			    self.POPUP_KEY_BOARD_WRAP.appendChild(self.BTN_SWITCH);
			    self.POPUP_KEY_BOARD_WRAP.appendChild(self.PLATE_NUMBER_ITEM);
			    self.POPUP_KEY_BOARD_WRAP.appendChild(self.CONTENT_WRAP);
			    
			    //添加到body
			    document.body.appendChild(self.POPUP_KEY_BOARD_WRAP);
			    document.body.appendChild(self.POPOU_OVERLAY);
			    
			    //显示区ID
				self.plateNumberlist = self.PLATE_NUMBER_ITEM.getElementsByClassName("col");
				//默认第一个高亮
				self.plateNumberlist[0].className = "active col";
				//键盘区List
				self.contentWrapList = self.CONTENT_WRAP.getElementsByClassName("content-item");
			   
			   	//添加
			    addKeyboard = function(param){
			    	self.addKeyboard(param);
			    };
			    //删除
			    delCarNum = function(){
			    	self.removeKeyboard();
			    };
			    //编辑
			    editCarNum = function(i){
			    	self.editKeyboard(i);
			    };
			    
			    //切换键盘，默认为普通键盘
			    self.BTN_SWITCH.onclick = function(){
			    	keyBoardflag = keyBoardflag ? false : true;
			    	self.swtichKeyboard(keyBoardflag);
			    }
			},
			//添加
			addKeyboard : function(param){
				var self = this;
				
				if(param == ""){
					return;
				}
				//赋值给显示区
				for(var i = 0; i < self.PLATE_NUMBER_LIST_LENGTH; i++){
	                if( i == self.index){
	                    self.plateNumberlist[i].innerHTML = param;
	                    self.plateNumberlist[i + 1].className = "col active";
	                    self.plateNumberlist[i].className = "col";
	                    
	                    //选中号码存入数组
	                    self.plateNumberObj.push(param);
	                }
	           	};
				self.index ++;
				
				//点击到最后一个，赋值给input
				if(self.index == self.PLATE_NUMBER_LIST_LENGTH){
					self.PLATE_NUMBER_INPUT.value = self.plateNumberObj.join("");
				};
				
				//切换键盘区
				for(var i = 0; i < self.PLATE_NUMBER_LIST_LENGTH; i++){
	                if( i == self.index ){
	                    self.contentWrapList[i].className = "content-item active";
	                }else{
	                    self.contentWrapList[i].className = "content-item";
	                }
	            };
	            
	            //如果添加长度达到车牌长度，删除键盘
	            if(self.index == self.PLATE_NUMBER_LIST_LENGTH){
	            	self.removePop();
	            }
				
			},
			//删除
			removeKeyboard: function(){
				var self = this;
				
				//删除车牌长度,如果到0，删除键盘
				if(self.index == 0){
					self.removePop();
				}else{
					self.plateNumberlist[self.index - 1].innerHTML = "";
					self.plateNumberlist[self.index].className = "col";
					self.plateNumberlist[self.index - 1].className = "col active";
					
					self.contentWrapList[self.index - 1].className = "content-item active";
					self.contentWrapList[self.index].className = "content-item";
					
					self.plateNumberObj.pop();
				}
				
				self.index --;
			},
			//点击遮罩层，隐藏所有
			removePop : function(){
				var self = this;
				self.POPUP_KEY_BOARD_WRAP.remove();
				self.POPOU_OVERLAY.remove();
			},
			//编辑某个号码
			editKeyboard : function(j) {
				var self = this;
				self.index = j;
				self.plateNumberObj.length = j;
				//切换键盘区
				for(var i = 0; i < self.PLATE_NUMBER_LIST_LENGTH; i++){
	                if( i == self.index ){
	                    self.plateNumberlist[i].className = "col active";
	                    self.contentWrapList[i].className = "content-item active";
	                }else{
	                	self.plateNumberlist[i].className = "col";
	                    self.contentWrapList[i].className = "content-item";
	                }
	            };
			},
			//切换键盘
			swtichKeyboard : function(flag) {
				var self = this;
				self.removePop();
				if(flag){
					console.log("普通车牌")
					new plateNumber(self.pNum);
				}else{
					console.log("新能源车牌")
					new plateNumber(self.pNum,"energy");
				};
			}
		};
		winKeyBoard = plateNumber;
   })();